//
//  main.m
//  PointerDemo
//
//  Created by Developer on 11/2/13.
//  Copyright (c) 2013 EDUMobile. All rights reserved.
//

#import <Foundation/Foundation.h>

int main(int argc, const char * argv[])
{

    @autoreleasepool {
        
        int myInt = 17;
        int myOtherInt = 365;
        int *pMyInt = &myInt;
        printf("%d, %p\n", *pMyInt, pMyInt);
        myInt = 9746;
        printf("%d, %p\n", *pMyInt, pMyInt);
        pMyInt = &myOtherInt;
        printf("%d, %p\n\n", *pMyInt, pMyInt);
        
        //make an array of ints:
        int fib[10];
        for (int i = 0; i < 10; i++) {
            if (i == 0 || i == 1) {
                fib[i] = 1;
            } else {
                fib[i] = fib[i-1] + fib[i-2];
            }
            printf("fib[%d] = %d\n", i, fib[i]);
        }
        printf("\n");
        
        //another way:
        int square[] = {0, 1, 4, 9, 16};
        printf("The square of 3 is %d\n\n", square[3]);
        
        //an array of chars (a C string...)
        char *greeting = "Hello";
        printf("The last letter of %s is '%c'.\n\n", greeting, greeting[4]);
    }
    return 0;
}

